package uk.ac.cam.cl.rkh23.bouncingball3;

import uk.ac.cam.cl.rkh23.bouncingball.Vector2D;

public class Ball extends MovingObject {

	private double mK = 0.0;
	
	public Ball( double K, double px, double py, double vx, double vy, double ax, double ay) {
		super(px, py, vx, vy, ax, ay);
		mK=K;
	}
	
	/**
	 * Get the coefficient of restitution
	 * @return Coeff. of restitution
	 */
	public double   getK() { return mK;}
	
	/**
	 * Clone support. Does a shallow copy which will 
	 * mean mK (a primitive type) gets copied
	 */
	public Object clone() throws CloneNotSupportedException {
		return super.clone();
	}
	
}
